---
schema_version: "1"
id: d247065c3bf2cd6f31026dbcfa13e2ba72f33a8f5a9899a6209224548ac87877
title: GET /contacts/v1/schemas/{schemaId}/attributeGroups
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/retrieveAttributeGroups.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/retrieveAttributeGroups.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a234b2d14ce3b12fed6edc30094f69e1fb11870cbc8ceba315a4f35c26fe379f
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/schemas/{schemaId}/attributeGroups

## Overview

Retrieves all attribute groups associated with a specified contact data schema.

### URL Parameters

<!--complex table-->

| Name         | Type   |              | Description          |
| ------------ | ------ | ------------ | -------------------- |
| **schemaId** | string | **Required** | The ID of the schema |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/schemas/36E001F0-6B8F-E311-A274-08EDB9DDEBF0/attributeGroups
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
200 (OK)
{
    "count": 2,
    "page": 1,
    "pageSize": 25,
    "links": {
        "self": {"href": "/schemas/{schemaId}/attributeGroups" },
        "schema": {"href": "/schemas/{schemaId}" },
    },
    "items": [{
        "links": {
            "self": {"href": "/attributeGroups/{id}" }
        },
        "id": "4de15aca-2c17-e311-bb14-00237d5401ce",
        "key": "com.exacttarget.mobilepush.ETMobilePush",
        "name": "ExactTarget MobilePush",
        "parentId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0"
    },
    {
        "links": {
            "self": {"href": "/attributeGroups/{id}" }
        },
        "id": "4de15aca-2c17-e311-bb14-00237d5401ce",
        "key": "com.exacttarget.mobilepush.ETMobilePush",
        "name": "ExactTarget MobilePush",
        "parentId": "36E001F0-6B8F-E311-A274-08EDB9DDEBF0"
    }]
}
```
